{pkgs, outputs, ...}: {
  services = {
    transmission = {
      enable = true;
      credentialsFile = pkgs.writeText "credentials" outputs.secrets.transmissionCredFile;
      openPeerPorts = true;
      settings = {
        rpc-authentication-required = true;
      };
    };
    nginx.virtualHosts."torrent.${outputs.secrets.jimDomain}" = {
      enableACME = true;
      forceSSL = true;
      locations."/" = {
        proxyPass = "http://127.0.0.1:9091";
        proxyWebsockets = true;
      };
    };
  };
}
